import routes from "./routes";
import {createRouter, createWebHistory} from "vue-router";
import {CommonRoutes, registerGlobalGuards} from "ucsd-its-frontend";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes
})

//Client app begin
CommonRoutes.forEach((route) => {
  router.addRoute(route);
});
registerGlobalGuards(router);
//Client app end

export default router
